local GetAllAlCityInfoMessage = BaseClass("GetAllAlCityInfoMessage", SFSBaseMessage)
local base = SFSBaseMessage
local Localization = CS.GameEntry.Localization
local OnCreate = function(self)
  base.OnCreate(self)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  local errCode = t.errorCode
  if errCode ~= nil then
    UIUtil.ShowTipsId(errCode)
  else
    DataCenter.WorldAllianceCityDataManager:UpdateMyAlCities(t, false)
  end
end
GetAllAlCityInfoMessage.OnCreate = OnCreate
GetAllAlCityInfoMessage.HandleMessage = HandleMessage
return GetAllAlCityInfoMessage
